getCovariate              package:nlme              R Documentation

Extract Covariate from an Object

Description:

     This function is generic; method functions can be written to
     handle specific classes of objects. Classes which already have
     methods for this function include 'corStruct', 'corSpatial',
     'data.frame', and 'varFunc'.

Usage:

     getCovariate(object, form, data)

Arguments:

  object: any object with a 'covariate' component

    form: an optional one-sided formula specifying the covariate(s) to
          be extracted. Defaults to 'formula(object)'.

    data: a data frame in which to evaluate the variables defined in
          'form'. 

Value:

     will depend on the method function used; see the appropriate
     documentation.

Author(s):

     Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates
     bates@stat.wisc.edu

See Also:

     'getCovariate.corStruct', 'getCovariate.data.frame',
     'getCovariate.varFunc', 'getCovariateFormula'

Examples:

     ## see the method function documentation

